/* 歸零 */
html,body,header,footer,main,div,span,article,aside,h1,h2,h3,h4,p,a,ul,ol,li,table,tr,td,img,menu,nav{
    padding:0;
    margin:0;
    box-sizing:border-box;
    text-decoration:none;
    list-style:none;
    color:inherit;
    font-family: sans-serif
}
html,body{
    scroll-behavior: smooth;
}
img{
    width:100%;
    vertical-align:bottom
}
/* 預設 */
:root{
    --mainColor: #00BBFF;
    --whiteColor: #FFFFFF;
    --lightGray: #DDDDDD;
    --middleGray:#444444;
    --darkGray:#2B2B2B;
    --blackColor:#000000;
    --blackAlpha: #00000055;
    --transition: all 800ms ease;

}
.main-btn{
    display:inline-block;
    font-size:16px;
    height:3em;
    line-height: 3em;
    padding:0 1.5em;
    margin:0.5em 0;
    border: none;
    background-color: var(--mainColor);
    color:var(--whiteColor);
    transition:var(--transition);
    cursor:pointer;
}
.main-btn:hover{
    filter:brightness(1.5)
}
.main-btn:active{
    filter:brightness(1.5);
    box-shadow: 2px 2px 2px var(--middleGray) inset
}

.text-justify{
    text-align: justify;
}
.text-center{
    text-align: center;
}
.flex{
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
}

/*=== 裝置 ===*/
.grid-1{
    width: calc(100% / 12 * 1);
}
.grid-2{
    width: calc(100% / 12 * 2);
}
.grid-3{
    width: calc(100% / 12 * 3);
}
.grid-4{
    width: calc(100% / 12 * 4);
}
.grid-5{
    width: calc(100% / 12 * 5);
}
.grid-6{
    width: calc(100% / 12 * 6);
}
.grid-7{
    width: calc(100% / 12 * 7);
}
.grid-8{
    width: calc(100% / 12 * 8);
}
.grid-9{
    width: calc(100% / 12 * 9);
}
.grid-10{
    width: calc(100% / 12 * 10);
}
.grid-11{
    width: calc(100% / 12 * 11);
}
.grid-12{
    width: calc(100% / 12 * 12);
}

/* header設計 */
header{
    width: 100%;
    height:64px;
    line-height:64px;
    position:relative;
    z-index:10
}
header #logo{
    display:block;
    width:100%;
    text-align:center;
}
header menu{
    width:100%;
    text-align:center;
    background-color:var(--whiteColor);
    
   

}
header menu.change{
    display:none;
    transition:var(--transition);
}
header nav{
    position:absolute;
    width: 2em;
    height:1em;
    top: calc(32px - 0.5em);
    right: 1em;
   
}
header nav .bar{
    width: 100%;
    height: 2px;
    position:absolute;
    background-color: var(--darkGray);
    transition:var(--transition);

}
header nav .bar:nth-of-type(1){
    top:0px;
}
header nav .bar:nth-of-type(2){
    top: calc(0.5em - 1px)
}
header nav .bar:nth-of-type(3){
    top: calc(0.5em - 1px)
}
header nav .bar:nth-of-type(4){
    bottom:0px;
}

header nav .bar:nth-of-type(1).change{
    opacity: 0;
}
header nav .bar:nth-of-type(2).change{
    transform: rotate(30deg);
}
header nav .bar:nth-of-type(3).change{
    transform: rotate(-30deg);
}
header nav .bar:nth-of-type(4).change{
    opacity: 0;
}


/* Theme設計 */

#theme{
    width: 100%;
    height: calc(100vh - 64px);
    position:relative;
}
#theme #slide{
    width:100%;
    height:100%;
    overflow:hidden;
    position:relative;
}
#theme #slide .pic{
    width:100%;
    height:100%;
    transition:var(--transition);
    position:absolute;
    left:100%;
    background-size:cover;
    background-position:center;
    z-index:6;
    animation: sliding 25s linear infinite
}
#theme #slide .pic:nth-of-type(1){
    background-image: url(https://picsum.photos/id/11/1600/900);
    
}
#theme #slide .pic:nth-of-type(2){
    background-image: url(https://picsum.photos/id/12/1600/900);
    animation-delay:5s;
}
#theme #slide .pic:nth-of-type(3){
    background-image: url(https://picsum.photos/id/13/1600/900);
    animation-delay:10s;
}
#theme #slide .pic:nth-of-type(4){
    background-image: url(https://picsum.photos/id/14/1600/900);
    animation-delay:15s;
}
#theme #slide .pic:nth-of-type(5){
    background-image: url(https://picsum.photos/id/15/1600/900);
    animation-delay:20s;
}

@keyframes sliding{
    0%{
        left: 100%;
        z-index:1
    }
    4%{
        left:0%;
        z-index:6
    }
    20%{
        left: 0;
        z-index: 6;
    }
    24%{
        left:-100%;
        z-index:6
    }
    25%{
        left:-100%;
        z-index:1
    }
    26%{
        left: 100%;
        z-index:1
    }
}
#theme .push{
    width:100%;
    height: 100%;
    background-color: var(--blackAlpha);
    position:absolute;
    z-index:8;
    top:0px;
    left:0px;
    display:flex;
    align-items:center;
}
#theme .push .box{
  width: 300px;
  color:var(--whiteColor);
  margin:auto
}
#theme .push .box p{
    margin: 0.5em 0;
}
/* About設計 */
#about{
    width:100%;
    color:var(--middleGray)
}
#about .flex{
    max-width:670px;
    margin:4em auto;
   
}
#about .flex .grid-11{
    max-width:340px;
    padding: 1em;
   
}
#about .flex .grid-11 i{
    color:var(--mainColor)
}

/* product設計 */
#product{
    width:100%
}
#product .title{
    width:100%;
    padding:3em 1em;
    text-align:center;
    background-color: var(--darkGray);
    color: var(--lightGray)
}
#product .six-content .grid-6{
    position:relative;
    overflow:hidden;
    cursor:pointer
}
#product .six-content .grid-6 h3{
    width:100%;
    position:absolute;
    bottom:0px;
    background-color:var(--blackAlpha);
    color:var(--whiteColor);
    height:2em;
    line-height:2em;
    text-align:center;
}
#product .hot{
    width:100%
}
#product .hot .flex{
    max-width: 900px;
    margin: 1em auto;
    padding: 1em;
   
}
#product .hot .flex .grid-10{
    max-width: 500px;
    padding: 1em;
 
}

/* link設計 */
#link{
    width:100%;
    height:100vh;
    background-image: url(https://picsum.photos/id/27/1200/1200);
    background-size:cover;
    background-position:center;
    
}
#link .grid-12{
    width:100%;
    height:100%;
    background-color:var(--blackAlpha);
    color:var(--whiteColor);
    padding:2em;
    display:flex;
    flex-wrap:wrap;
    align-content:center;
}
#link .grid-12 h2,#link .grid-12 p{
    width: 100%;
}
/* service設計 */
#service{
    width:100%
}
#service .title{
    width:100%;
    padding: 5em 2em;
    text-align:center;
}
#service .title p{
    padding: 1em 0
}
#service .grid-11{
    position:relative;
    overflow:hidden;
  
}
#service .grid-11 .push{
    width:100%;
    height:100%;
    position:absolute;
    background-color:var(--blackAlpha);
    top:0px;
    left:0px;
    color:var(--whiteColor);
    display:flex;
    flex-wrap:wrap;
    align-content:center;
   
}
#service .grid-11 .push .box{
    padding: 0 2em
    
}
#contact{
    width:100%;
    background-color:var(--darkGray);
    color:var(--lightGray)
}
#contact .flex{
    padding: 5em 2em;
    width:95%;
    margin:auto
}
#contact .flex .grid-11{
    padding: 1.5em
}
#contact .flex .grid-11:nth-of-type(1) p{
    padding-bottom: 1.5em
}
#contact .flex a{
    color:var(--mainColor)
}
#contact hr{
    color:var(--blackColor);
    border-style:solid;
    border-width: 1.5px;
    margin: 1em 0
}
#contact h3{
    line-height: 3em;
    color:var(--whiteColor);
}
/* footer設計 */
footer{
    width: 100%;
    text-align:center;
    color:var(--lightGray);
    background-color: var(--darkGray);
}
/* goTop設計 */
#goTop{
    width:3em;
    height: 3em;
    background-color: var(--blackAlpha);
    color:var(--whiteColor);
    position:fixed;
    right:0.5em;
    bottom:0.5em;
    z-index:100;
    text-align:center;
    line-height:3em
}


@media only screen and (min-width: 414px){
    .grid-sm-1{
        width: calc(100% / 12 * 1);
    }
    .grid-sm-2{
        width: calc(100% / 12 * 2);
    }
    .grid-sm-3{
        width: calc(100% / 12 * 3);
    }
    .grid-sm-4{
        width: calc(100% / 12 * 4);
    }
    .grid-sm-5{
        width: calc(100% / 12 * 5);
    }
    .grid-sm-6{
        width: calc(100% / 12 * 6);
    }
    .grid-sm-7{
        width: calc(100% / 12 * 7);
    }
    .grid-sm-8{
        width: calc(100% / 12 * 8);
    }
    .grid-sm-9{
        width: calc(100% / 12 * 9);
    }
    .grid-sm-10{
        width: calc(100% / 12 * 10);
    }
    .grid-sm-11{
        width: calc(100% / 12 * 11);
    }
    .grid-sm-12{
        width: calc(100% / 12 * 12);
    }

    /* Theme設計 */
    #theme .push .box{
        margin-left: 12vw;
    }
    /* footer設計 */
    footer br:nth-of-type(1){
        display:none;
        
    }
}
@media only screen and (min-width: 768px){
    .grid-md-1{
        width: calc(100% / 12 * 1);
    }
    .grid-md-2{
        width: calc(100% / 12 * 2);
    }
    .grid-md-3{
        width: calc(100% / 12 * 3);
    }
    .grid-md-4{
        width: calc(100% / 12 * 4);
    }
    .grid-md-5{
        width: calc(100% / 12 * 5);
    }
    .grid-md-6{
        width: calc(100% / 12 * 6);
    }
    .grid-md-7{
        width: calc(100% / 12 * 7);
    }
    .grid-md-8{
        width: calc(100% / 12 * 8);
    }
    .grid-md-9{
        width: calc(100% / 12 * 9);
    }
    .grid-md-10{
        width: calc(100% / 12 * 10);
    }
    .grid-md-11{
        width: calc(100% / 12 * 11);
    }
    .grid-md-12{
        width: calc(100% / 12 * 12);
    }
     /* footer設計 */
    footer br{
        display:none;
        
    }
}
@media only screen and (min-width: 1024px){
    .grid-lg-1{
        width: calc(100% / 12 * 1);
    }
    .grid-lg-2{
        width: calc(100% / 12 * 2);
    }
    .grid-lg-3{
        width: calc(100% / 12 * 3);
    }
    .grid-lg-4{
        width: calc(100% / 12 * 4);
    }
    .grid-lg-5{
        width: calc(100% / 12 * 5);
    }
    .grid-lg-6{
        width: calc(100% / 12 * 6);
    }
    .grid-lg-7{
        width: calc(100% / 12 * 7);
    }
    .grid-lg-8{
        width: calc(100% / 12 * 8);
    }
    .grid-lg-9{
        width: calc(100% / 12 * 9);
    }
    .grid-lg-10{
        width: calc(100% / 12 * 10);
    }
    .grid-lg-11{
        width: calc(100% / 12 * 11);
    }
    .grid-lg-12{
        width: calc(100% / 12 * 12);
    }
    /* header設計 */
    header #logo{
        width:30%;
    }
    header menu{
        width:70%;
        display:block !important;
    }
    header menu ul{
        display:flex;
        padding: 0px 2em;
        justify-content: flex-end;
    }
    header menu ul li a{
        display: block;
        padding: 0 0.5em;
        transition: var(--transition);
    }
    header menu ul li:hover a{
        background-color: var(--mainColor);
        color: var(--whiteColor);
    }
    header nav{
        display:none;
    }
    /* About設計 */
    #about .flex{
        width:100%;
        max-width:1024px
    }
    #about .flex .grid-11{
    max-width:none;
  
    }
    /* Product設計 */
    #product .six-content .grid-6 h3{
        bottom:-2em;
        transition:var(--transition)
    }
    
    #product .six-content .grid-6:hover h3{
        bottom:0em;
    }
    #product .six-content .grid-6 img{
        filter:brightness(0.6);
        transition:var(--transition)
    }
    #product .six-content .grid-6:hover img{
        filter:brightness(1.1);
        transform:scale(1.4)

    }
    #product .hot .flex{
        max-width: 1200px;
    }
    #product .hot .flex .grid-10{
        max-width: none;
        padding: 2em 1.5em;
        transition: var(--transition);
    }
    #product .hot .flex .grid-10:hover{
        background-color: var(--lightGray);
    }
    #product .hot .flex .grid-10 h4{
        line-height: 2.5em;
    }
      /* Link 設計 */
    #link{
        height: 50vh;
        justify-content: end;
    }
    #link .grid-12{
        width: 50%;
    }
    /* service設計 */
    #service .grid-11 .push{
       margin-left: 150px;
       opacity:0
    }
    #service .grid-11:hover .push{
        margin-left: 0px;
        opacity: 1;
        transition:var(--transition);
    }
    /* contact設計 */
    #contact .flex{
        width: 100%;
        max-width:1200px;
    }
    
    

}
@media only screen and (min-width: 1366px){
    .grid-xl-1{
        width: calc(100% / 12 * 1);
    }
    .grid-xl-2{
        width: calc(100% / 12 * 2);
    }
    .grid-xl-3{
        width: calc(100% / 12 * 3);
    }
    .grid-xl-4{
        width: calc(100% / 12 * 4);
    }
    .grid-xl-5{
        width: calc(100% / 12 * 5);
    }
    .grid-xl-6{
        width: calc(100% / 12 * 6);
    }
    .grid-xl-7{
        width: calc(100% / 12 * 7);
    }
    .grid-xl-8{
        width: calc(100% / 12 * 8);
    }
    .grid-xl-9{
        width: calc(100% / 12 * 9);
    }
    .grid-xl-10{
        width: calc(100% / 12 * 10);
    }
    .grid-xl-11{
        width: calc(100% / 12 * 11);
    }
    .grid-xl-12{
        width: calc(100% / 12 * 12);
    }
}